libssh2_channel_eof(3)

NAME
libssh2_channel_eof - check a channel's EOF status

SYNOPSIS
#include <libssh2.h>
int
libssh2_channel_eof(LIBSSH2_CHANNEL *channel);

DESCRIPTION
channel - active channel stream to set closed status on. Check if the remote host has sent an EOF status for the selected stream.

RETURN VALUE
Returns 1 if the remote host has sent EOF, otherwise 0. Negative on failure.

SEE ALSO
libssh2_channel_close(3)